<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        #infobulle {
            /*ID et attributs infobulle*/
            position: absolute;
            white-space: nowrap;
            /*empêche le retour à la ligne*/
            background: rgba(0, 0, 0, .5);
            /*couleur de fond*/
            color: #ffffff;
            /*couleur du texte*/
            padding: 3px;
            /*marges intérieures*/
            border: 2px solid #800000;
            /*bordures :épaisseur-nature-couleur*/
            border-radius: 6px;
            /*arrondis*/
        }

        .container {
            text-align: center;
        }
    </style>
</head>

<body>
    <div class="container">
        <h1>Météo île de réunion - 18 février 2010</h1>
        <img src="carte.jpg" usemap="#workmap" alt="meteo" id="img">
        <div id="infobulle" style="display:none;">
        </div>
    </div>
    <map name="workmap">
        <area target="" alt="SAINT-PAUL" title="SAINT-PAUL" href=""
            coords="220,88,206,77,186,71,175,63,160,63,160,78,157,88,150,95,141,102,128,102,125,111,121,118,125,125,122,138,130,147,136,154,144,159,156,156,170,151,183,149,197,150,212,150,228,154,240,158,249,163,262,157,268,148,253,148,246,151,237,144,241,133,233,125,231,111,231,94,225,93"
            shape="poly" onmouseover="show(this)" onmousemove="move(this)" onmouseout="hide(this)" id="SAINT-PAUL">
        <area target="" alt="SAINT-DENIS" title="SAINT-DENIS" href=""
            coords="251,10,238,10,228,13,222,20,222,31,227,40,230,52,235,59,238,70,238,80,253,82,264,89,272,95,281,83,288,76,288,60,293,48,300,41,296,22,295,12,286,14,274,14,263,7"
            shape="poly" onmouseover="show(this)" onmousemove="move(this)" onmouseout="hide(this)" id="SAINT-DENIS">
        <area target="" alt="" title="CILAOS"
            coords="295,176,289,163,279,150,271,146,267,151,260,157,256,162,251,167,243,168,239,177,237,182,240,190,244,199,253,204,255,210,268,213,285,205,294,189"
            shape="poly" onmouseover="show(this)" onmousemove="move(this)" onmouseout="hide(this)" id="CILAOS">
    </map>
    <script type="text/javascript" src="meteo.json"></script>

    <script type="text/javascript">
        document.onmousemove = (evenement) => {
            if (navigator.appName == "Microsoft Internet Explorer") {
                x = event.x + document.body.scrollLeft;
                y = event.y + document.body.scrollTop;
            }
            else {
                x = evenement.pageX;
                y = evenement.pageY;
            }
        }
        // meteo=data.meteo.bulletin.ville[0]["-id"]);
        console.log(data.meteo.bulletin.ville);
        meteo = data.meteo.bulletin.ville;
        infobulle = document.getElementById("infobulle");

        function show(element) {
            infobulle.style.display = 'block';
            for (let i = 0; i < meteo.length; i++) {
                if (meteo[i]['-id'] == element.getAttribute('id')) {
                    infobulle.innerHTML =

                        "<center>" + meteo[i]['-id'] + "</center>"
                        + "-tumidite" + meteo[i]['-tumidite'] + "<br>"
                        + "-temperature_maxi:" + meteo[i]['-temperature_maxi'] + "<br>"
                        + "-temperature_mini:" + meteo[i]['-temperature_mini'] + "<br>"
                        + "-temps:" + meteo[i]['-temps'] + "<br>"
                        + "-vent_direction:" + meteo[i]['-vent_direction'] + "<br>"
                        + "-vent_force:" + meteo[i]['-vent_force'] + "<br>"
                        + "-vent_rafales:" + meteo[i]['-vent_rafales'] + "<br>";
                    return false;
                } else {
                    infobulle.innerHTML = "";
                }
            }

        }
        function move(element) {
            infobulle.style.left = (x + 15) + 'px';
            infobulle.style.top = (y + 2) + 'px';
            return false;
        }
        function hide(element) {
            infobulle.style.display = 'none';
            return false;
        }

    </script>
</body>
</html>